## org.apache.hadoop.examples
Class Join

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.examples.Join

All Implemented Interfaces:
  Configurable, Tool

    public class Join

extends Configured
implements Tool

This is the trivial map/reduce program that does absolutely nothing other than use the framework to fragment and sort the input values. To run: bin/hadoop jar build/hadoop-examples.jar join [-m maps] [-r reduces] [-inFormat input format class] [-outFormat output format class] [-outKey output key class] [-outValue output value class] [-joinOp <inner|outer|override>] [in-dir]* in-dir out-dir

Constructor Summary
`Join()`

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)` The main driver for sort program.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### Join

    public Join()

Method Detail

### run

    public int run(String[] args)
            throws Exception

  The main driver for sort program. Invoke this method to submit the map/reduce job.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `IOException` - When there is communication problems with the job tracker.
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2009 The Apache Software Foundation